draugr.torch\_utilities.datasets.supervised.categorical\_dataset.CategoricalDataset
===================================================================================



.. currentmodule:: draugr.torch_utilities.datasets.supervised.categorical_dataset

.. autoclass:: CategoricalDataset
   :members:
   :show-inheritance:
   :inherited-members:

   
   .. automethod:: __init__

   
   .. rubric:: Methods

   .. autosummary::
   
      ~CategoricalDataset.__init__
      ~CategoricalDataset.idx_to_str
      ~CategoricalDataset.str_to_idx
   
   

   
   
   .. rubric:: Attributes

   .. autosummary::
   
      ~CategoricalDataset.categories
      ~CategoricalDataset.predictor_shape
      ~CategoricalDataset.response_shape
      ~CategoricalDataset.split_names
   
   